AMQPQueue::nack
AMQPQueue::setArgument
AMQPQueue
PHP Manual

# AMQPQueue::purge

(PECL amqp >= Unknown)

AMQPQueue::purge — Purge the contents of a queue

### Description

public bool AMQPQueue::purge ( void )

Purge the contents of a queue.

### Parameters

This function has no parameters.

### Errors/Exceptions

Throws AMQPChannelException if the channel is not open.

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

AMQPQueue::nack
AMQPQueue::setArgument
AMQPQueue
PHP Manual